//This program code is released under GNU General Public License (GPL)
//(http://www.gnu.org/copyleft/gpl.html)
//(C) Wolfgang Gossel (2012)
// Muehlweg 49 
// D-06114 Halle
//or: Martin Luther University
//    Dept. Hydrogeology and Environmental Geology
//    V.-Seckendorff Platz 3
//    D-06120 Halle
//email: wolfgang.gossel@geo.uni-halle.de
//homepage: http://www.mo2geo.org
//
// Class to generate the Raster points. The corners and the distance
// will be given by the user either from a GIS or from an input-GUI


#include <iostream>

using namespace std;

class generateRaster
{
  public:
         long setDimensions(double &dist);
         void getRasterPoints(double longitude[], double latitude[], long number_raster_points);
         void setXLL(double dblXll);
         void setYLL(double dblYll);
         void setXUR(double dblXur);
         void setYUR(double dblYur);
         void setDist(double dblDist);
  private:
          double x_lower_left;
          double y_lower_left;
          double x_upper_right;
          double y_upper_right;
          double distance;
          long number_x;
          long number_y;
          double xll, yll, xur, yur;
};
